# Interface methods for submodule: IsolatedConnectedImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: IsolatedConnectedImageFilter
class IsolatedConnectedImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def AddSeed1(self, seed: Sequence[int]) -> None:
		""""""
		...

	def SetSeed1(self, seed: Sequence[int]) -> None:
		""""""
		...

	def ClearSeeds1(self) -> None:
		""""""
		...

	def AddSeed2(self, seed: Sequence[int]) -> None:
		""""""
		...

	def SetSeed2(self, seed: Sequence[int]) -> None:
		""""""
		...

	def ClearSeeds2(self) -> None:
		""""""
		...

	def GetSeeds1(self):
		""""""
		...

	def GetSeeds2(self):
		""""""
		...

	@overload
	def SetLower(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetLower(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetLower(self) -> float:
		""""""
		...

	@overload
	def GetLower(self) -> int:
		""""""
		...

	@overload
	def SetUpper(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetUpper(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetUpper(self) -> float:
		""""""
		...

	@overload
	def GetUpper(self) -> int:
		""""""
		...

	@overload
	def SetIsolatedValueTolerance(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetIsolatedValueTolerance(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetIsolatedValueTolerance(self) -> float:
		""""""
		...

	@overload
	def GetIsolatedValueTolerance(self) -> int:
		""""""
		...

	@overload
	def SetReplaceValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetReplaceValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetReplaceValue(self) -> float:
		""""""
		...

	@overload
	def GetReplaceValue(self) -> int:
		""""""
		...

	@overload
	def GetIsolatedValue(self) -> float:
		""""""
		...

	@overload
	def GetIsolatedValue(self) -> int:
		""""""
		...

	def SetFindUpperThreshold(self, _arg: bool) -> None:
		""""""
		...

	def FindUpperThresholdOn(self) -> None:
		""""""
		...

	def FindUpperThresholdOff(self) -> None:
		""""""
		...

	def GetFindUpperThreshold(self) -> bool:
		""""""
		...

	def GetThresholdingFailed(self) -> bool:
		""""""
		...

